Subject: bug#44783: 28.0.50; wish for eww: include gopher and gemini links

From: "Basil L. Contovounesios" <[email-masked]>
Date: Mon, 30 Nov 2020 12:24:45 +0000

Jean Louis <[email-masked]> writes:

> * Lars Ingebrigtsen <[email-masked]> [2020-11-30 14:13]:
>> Jean Louis <[email-masked]> writes:
>> 
>> > I was thinking it is not a list, not I see it is a list, that is good.
>> 
>> No, it's a regexp.  You can say mailto:\\|gopher:\\|gemini: or whatever
>> you want.
>
> I just wonder why is regexp in one line. That makes it harder for
> users. My expectation is to have it as a list

I don't mind either way, but FWIW rx allows for some programmatic regexp
composition:

  (with-eval-after-load 'eww
    (setq eww-use-browse-url
          (rx (| (: bos (| "gopher:" "gemini:"))
                 (regexp eww-use-browse-url)))))

-- 
Basil